%define name	gq
%define version 1.3.4
%define release %mkrel 8
%define	Summary	GQ is a GTK-based LDAP client

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
License:	GPL
Source0:	http://prdownloads.sourceforge.net/gqclient/%{name}-%{version}.tar.gz
Source11:	gq16.png
Source12:	gq32.png
Source13:	gq48.png
Patch1:		gq-1.3.4-mdv-fix-str-fmt.patch
Patch2:		gq-1.3.4-kerberos.patch
Patch3:		gq-1.3.4-configure.patch
Patch4:		gq-1.3.4-glibc.patch
Patch5:		gq-1.3.4-gcc.patch
Patch6:		gq-1.3.4-error.patch
URL:		http://biot.com/gq/
Group:		Databases
BuildRequires:	gnome-common
BuildRequires:	gettext-devel
BuildRequires:	krb5-devel
BuildRequires:	libsasl-devel
BuildRequires:	openldap-devel
BuildRequires:  libxml2-devel
BuildRequires:	glib2-devel
BuildRequires:	gtk+2-devel
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	libgnome-keyring-devel
BuildRequires:	libglade2.0-devel

%description
GQ is GTK+ LDAP client and browser utility. It can be used
for searching LDAP directory as well as browsing it using a
tree view.

%prep 
%setup -q
%patch1 -p1 -b .strfmt
%patch2 -p1 -b .kerberos
%patch3 -p0 -b .configure
%patch4 -p1 -b .glibc
%patch5 -p1 -b .gcc
%patch6 -p1 -b .error

%build 
#export CFLAGS="%{optflags} -DLDAP_DEPRECATED"
export LIBS="-lcrypto -L%{_libdir}"
%configure2_5x \
    --with-default-codeset=UTF-8 \
    --enable-cache \
    --with-kerberos-prefix=%{_prefix} \
    --enable-browser-dnd \
    --disable-update-mimedb 

%make libdir="%{_libdir}"

%install
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=GQ
Comment=%{Summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;Network;System;
EOF

#(peroyvind): replace menu with our own as it's more complete and valid ;)
rm -f %{buildroot}%{_datadir}/applications/gq.desktop

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# Macro for locales
%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README* TODO 
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/gq
%{_iconsdir}/hicolor/16x16/apps/*
%{_datadir}/mime/packages/gq-ldif.xml
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_datadir}/omf/gq-manual/gq-manual-C.omf
%lang(de) %{_datadir}/omf/gq-manual/gq-manual-de.omf




%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.3.4-8.mga4
+ Revision: 532960
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 dlucio <dlucio> 1.3.4-7.mga4
+ Revision: 470423
- mga4 rebuild

* Sat Mar 23 2013 wally <wally> 1.3.4-6.mga3
+ Revision: 404663
- fix desktop file name
- clean .spec a bit

* Sat Jan 12 2013 umeabot <umeabot> 1.3.4-5.mga3
+ Revision: 352556
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 17 2012 dlucio <dlucio> 1.3.4-4.mga3
+ Revision: 271691
- bump release

* Tue Jul 17 2012 dlucio <dlucio> 1.3.4-3.mga3
+ Revision: 271686
- P4, P5 & P6 added

  + ennael <ennael>
    - clean spec file
    - imported package gq


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.4-3mdv2011.0
+ Revision: 610978
- rebuild

* Wed Apr 21 2010 Funda Wang <fwang@mandriva.org> 1.3.4-2mdv2010.1
+ Revision: 537370
- rebuild

* Wed Jan 27 2010 Funda Wang <fwang@mandriva.org> 1.3.4-1mdv2010.1
+ Revision: 496906
- BR gnome-doc-utils
- new version 1.3.4
- sync with fedora patches

* Fri Dec 18 2009 Jérôme Brenier <incubusss@mandriva.org> 1.2.3-4mdv2010.1
+ Revision: 480014
- fix str fmt

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.2.3-3mdv2009.0
+ Revision: 246565
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Jan 08 2008 Andreas Hasenack <andreas@mandriva.com> 1.2.3-1mdv2008.1
+ Revision: 146880
- updated to version 1.2.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 20 2007 Andreas Hasenack <andreas@mandriva.com> 1.2.2-2mdv2008.0
+ Revision: 91562
- fix simple bind (#28243)

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Wed Dec 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.2-1mdv2007.0
+ Revision: 100600
- fix build dependencies
- fix build dependencies
- new version
  drop unused additional langpack
  drop old debian menu
  fix build

  + Stefan van der Eijk <stefan@mandriva.org>
    - Import gq

* Mon Sep 04 2006 Jerome Soyer <saispo@mandriva.org> 1.0.1-1mdv2007.0
- New release 1.0.1
- Rediff patch0

* Sat Aug 26 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.0-4mdv2007.0
- fix category in xdg menu

* Sat Aug 26 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.0-3mdv2007.0
- fix summary macro that's used in menu item
- don't archive/bzip2 icons
- (valid) xdg menu
- cleanups

* Fri May 26 2006 Andreas Hasenack <andreas@mandriva.com> 1.0.0-2mdk
- fix for sasl support (had to add back a hunk from the original sasl
  patch that got lost in the upstream merge)

* Sat May 06 2006 Stefan van der Eijk <stefan@eijk.nu> 1.0.0-1mdk
- 1.0.0
- drop about patch (merged upstream)
- drop usebasedn patch (merged upstream)

* Thu Apr 27 2006 Andreas Hasenack <andreas@mandriva.com> 1.0-0.rc1.3mdk
- updated use base dn patch to only add the provided suffix if it's already
  not in the list of the automatically discovered suffixes (#22149)

* Tue Apr 18 2006 Andreas Hasenack <andreas@mandriva.com> 1.0-0.rc1.2mdk
- removed buildrequires for gdk-pixbuf-devel
- added some missing buildrequires (gtk+2-devel and glib-devel)
- added patch to fix about dialog text
- added patch so that the supplied base dn is not ignored

* Mon Apr 10 2006 Stefan van der Eijk <stefan@eijk.nu> 1.0-0.rc1.1mdk
- 1.0rc1
- drop patch0 & patch2 (merged upstream)

* Mon Apr 10 2006 Stefan van der Eijk <stefan@eijk.nu> 1.0-0.beta2.1mdk
- 1.0beta2
- replace patch0 with one from sf.net
- remove patch1 gcc4 (merged upstream)

* Wed Nov 23 2005 Andreas Hasenack <andreas@mandriva.com> 1.0-0.beta1.8mdk
- rebuilt with openssl 0.9.8a

* Tue Oct 11 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-0.beta1.7mdk
- Fix BuildRequires

* Mon Oct 10 2005 Andreas Hasenack <andreas@mandriva.com> 1.0-0.beta1.6mdk
- fixed sasl patch to properly use either the entered password or the stored
  one (and not only the stored one). Thanks to Tony Earnshaw for testing and
  notifying me.

* Wed Sep 14 2005 Andreas Hasenack <andreas@mandriva.com> 1.0-0.beta1.5mdk
- added patch to fix basic sasl auth support
- added LDAP_DEPRECATED define to avoid declaration warnings
- enabled drag-and-drop feature

* Sat Sep 10 2005 Andreas Hasenack <andreas@mandriva.com> 1.0-0.beta1.4mdk
- added gcc4 patch from sourceforge bug tracker (id #1184399)
- rebuilt with openldap-2.3.x

* Wed Mar 30 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.0-0.beta1.3mdk
- fix segfault on expanding tree (#15065), thx ahasenack for the patch

* Sun Feb 06 2005 Stefan van der Eijk <stefan@eijk.nu> 1.0-0.beta1.2mdk
- Rebuild new ldap

* Tue Jan 20 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.0-0.beta1.1mdk
- 1.0beta1

